# Events Pypeline

[![CI](https://github.com/gianlucapagliara/eventspype/actions/workflows/ci.yml/badge.svg)](https://github.com/gianlucapagliara/eventspype/actions/workflows/ci.yml)
[![codecov](https://codecov.io/gh/gianlucapagliara/eventspype/branch/main/graph/badge.svg)](https://codecov.io/gh/gianlucapagliara/eventspype)
[![Python 3.13+](https://img.shields.io/badge/python-3.13+-blue.svg)](https://www.python.org/downloads/)

A lightweight and type-safe Python framework for building event-driven applications. eventspype provides a clean publisher-subscriber pattern implementation, making it easy to create decoupled and maintainable event-driven systems.

## Features

- 🎯 Type-safe publisher-subscriber pattern implementation
- 🔄 Support for multiple publishers and subscribers
- 🚀 Asynchronous event handling capabilities
- 🛠️ Easy to use and integrate
- 📦 Zero dependencies
- 🔒 Thread-safe event distribution

## Installation

```bash
# Using pip
pip install eventspype

# Using poetry
poetry add eventspype
```

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
